<h2>
    <span>Master Agen</span>
    <button class="btn btn-primary float-right jh-create-entity create-purchasing"
        [routerLink]="['/master-agen-new']">
        <span class="fa fa-plus"></span>
        <span class="hidden-sm-down">
            Tambah Agen Baru
        </span>
    </button>
</h2>
<jhi-alert></jhi-alert>
<br/>
<p-dataTable 
    [value]="picRoles"
    [editable]="true"
    [rows]="itemsPerPage"
    [paginator]="true"
    [pageLinks]="5"
    [rowsPerPageOptions]="[10,15,20]"
    [totalRecords]="totalItems"
    [responsive]="true"
    [lazy]="true"
    [(first)]="first"
    row="itemsPerPage"
    totalRecords="totalItems"
    dataKey="cust_code"
    expandableRows="false"
    rowHover="true"
    (onLazyLoad)="loadDataLazy($event)"
    sortMode="multiple">
    <p-header>
        <form name="searchForm" class="form-inline">
            <div class="input-group w-100 mt-3">
                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                    name="currentSearch" placeholder="Nama Agen atau Kode Agen">
                <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                    <span class="fa fa-search"></span>
                </button>
                <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                    <span class="fa fa-trash-o"></span>
                </button>
            </div>
        </form>
    </p-header>
    <p-column field="No" header="No" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowIndex="rowIndex" pTemplate="body">
            {{rowIndex + 1}}
        </ng-template>
    </p-column>
    <p-column header="Kode Agen">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.cust_code}}
        </ng-template>
    </p-column>
    <p-column header="Nama Agen">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.cust_name}}
        </ng-template>
    </p-column>
    <p-column header="Alamat 1">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.cust_addr}}
        </ng-template>
    </p-column>
    <p-column header="Alamat 2">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.cust_addr2}}
        </ng-template>
    </p-column>
    <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <button pButton type="submit"
                    [routerLink]="['../master-agen-Edit/0/' + page + '/' + rowData.cust_code + '/edit']"
                    icon="fa-pencil"
                    class="flat-button">
            </button>
            <!-- <button pButton type="submit"
                (click)="delete(rowData.idMasBahan)"
                icon="fa-remove" pTooltip="hapus"
                class="flat-button">
        </button> -->
        </ng-template>
    </p-column>
    <!-- <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
    </p-column> -->
    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
    </ng-template>
</p-dataTable>
<div style="margin-top: 10px;"></div>
<p-confirmDialog></p-confirmDialog>.
